
Redmine - Patch #23389

Print Styles get overriden by responsive media query

2016-07-20 12:12 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.4   

Description

Currently the responsive styles get applied not only to screen, but also override print styles. For example, the top padding of the

#main container for mobile devices will also be applied when printing a redmine page. If the print styles need to be furhter optimized,

that should happen in the media query for print.

I am attaching a patch which fixes the media query so it does not get applied when printing pages.

Associated revisions

Revision 15778 - 2016-08-31 19:11 - Jean-Philippe Lang

Change responsive media query to screen only (#23389).

Patch by Felix Gliesche.

Revision 15779 - 2016-08-31 19:11 - Jean-Philippe Lang

Merged r15778 (#23389).

Revision 15780 - 2016-08-31 19:12 - Jean-Philippe Lang

Merged r15778 (#23389).

History

#1 - 2016-07-20 13:07 - Go MAEDA

- Target version set to 3.3.1

#2 - 2016-08-31 19:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.3.1 to 3.2.4

Committed, thanks. I've merged it into 3.2 stable as well.

Files

0001-Change-responsive-media-query-to-screen-only.patch 768 Bytes 2016-07-20 Felix Gliesche
